Skip to main content
GET
/
v1
/
activities
List Activities
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/activities', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "payload": {
        "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sequenceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "hotLeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "calendarEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "message.sent"
      }
    }
  ],
  "total_count": 123,
  "total_pages": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
size
integer
default:10

Number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by.

Available options:
created_at
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
person_id
string<uuid> | null

Filter by person.

sequence_id
string<uuid> | null

Filter by sequence run.

sequence_template_id
string<uuid> | null

Filter by sequence template.

resource_type
enum<string> | null

Filter by resource type.

Available options:
MESSAGE,
INVITATION,
HOT_LEAD,
MEETING,
SEQUENCE_STEP,
SEQUENCE,
TASK
channel
enum<string> | null

Filter by channel.

Available options:
EMAIL,
LINKEDIN,
MANUAL
event_type
enum<string> | null

Filter by event type.

Available options:
SENT,
REPLIED,
OPENED,
LINK_CLICKED,
ACCEPTED,
CREATED,
PAUSED,
RESUMED,
STOPPED,
COMPLETED,
SKIPPED
created_at_after
string<date-time> | null

Return activities strictly after this timestamp (exclusive).

created_at_before
string<date-time> | null

Return activities strictly before this timestamp (exclusive).

Response

200 - application/json

Successful Response

items
ActivityPublicOutput · object[]
required

Records on this page.

total_count
integer
required

Total number of records matching the query.

total_pages
integer
required

Total number of pages.

has_more
boolean
required

Whether more pages remain after the current one.